package cn.com.ctop.kuaishou.modules.ai.mapper;

import cn.com.ctop.kuaishou.modules.ai.entity.KuaishouLandpagePackage;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 落地页账户项目关联表
 *
 * @author: jeecg-boot
 * @date: 2021-05-11
 * @cersion: V1.0
 */
public interface KuaishouLandpagePackageMapper extends BaseMapper<KuaishouLandpagePackage> {

    void replaceBatch(@Param("landpagePackageList") List<KuaishouLandpagePackage> landpagePackageList);

    void deleteByAccountId(@Param("accountId") Long accountId);

    List<JSONObject> queryPageList(@Param("userId") String userId, @Param("accountId") Long accountId, @Param("projectId") Long projectId);

    List<JSONObject> getRelatedAccounts(@Param("siteId") Long siteId);

    List<JSONObject> getRelatedGroups(@Param("siteId") Long siteId, @Param("accountId") Long accountId);

}
